## trimesh 4.5.1

=== docs/Makefile ===
# Makefile for Sphinx documentation

SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXGEN     ?= sphinx-apidoc
NBCONVERT     ?= jupyter
PYTHON        ?= python
PIP           ?= pip
BUILDDIR      = built
TEMPLATESDIR  = templates
# where to put generated RST files
GENDIR        = generate
CONTENT       = content
STATICDIR     = static


example_notebooks := $(wildcard ../examples/*.ipynb)
example_notebooks := $(filter-out ../examples/save_image.ipynb, $(example_notebooks))
example_names = $(foreach path, $(example_notebooks), $(basename $(notdir $(path))))
example_rsts = $(foreach name, $(example_names), examples.$(name).rst)


html: conf.py $(CONTENT)/index.rst trimesh.rst README.rst $(example_rsts) examples.rst .deps
	cp -R "$(STATICDIR)" "$(GENDIR)/static"
	@$(SPHINXBUILD) -M html "$(GENDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	echo "trimesh.org" > "$(BUILDDIR)/html/CNAME"
	touch "$(BUILDDIR)/html/.nojekyll"
	cp   "$(STATICDIR)/favicon.ico" "$(BUILDDIR)/html/favicon.ico" || true

.deps: requirements.txt
	$(PIP) install -r requirements.txt
	$(PIP) freeze > .deps
	mkdir -p $(GENDIR)
	mkdir -p $(BUILDDIR)
	cp conf.py $(CONTENT)/* $(GENDIR)

examples.%.rst : ../examples/%.ipynb .deps
	$(NBCONVERT) nbconvert --execute --to rst --output-dir $(GENDIR) $<

examples.rst: .deps
	$(PYTHON) examples.py --source=../examples --target=$(GENDIR)/examples.rst

trimesh.rst: .deps
	$(SPHINXGEN) -eTf -t "$(TEMPLATESDIR)" -o "$(GENDIR)" ../trimesh

README.rst: ../README.md .deps
	pandoc --from=gfm --to=rst --output="$(GENDIR)/README.rst" ../README.md

clean:
	rm -rvf "$(BUILDDIR)" "$(GENDIR)"  .deps

=== docs/requirements.txt ===
pypandoc==1.13
recommonmark==0.7.1
jupyter==1.0.0

# get sphinx version range from furo install
furo==2024.5.6
myst-parser==3.0.1
pyopenssl==24.1.0
autodocsumm==0.2.12
jinja2==3.1.4
matplotlib==3.8.4
nbconvert==7.16.4

=== debian/changelog ===
trimesh (4.5.1-3) unstable; urgency=medium

  * Disable build dependency on beartype. Similar to ruff, it's
    not needed for Debian packaging.

 -- Gregor Riepl <onitake@gmail.com>  Thu, 13 Feb 2025 10:47:21 +0000

trimesh (4.5.1-2) unstable; urgency=medium

  * Disable build dependency on ruff, it doesn't look like it's
    needed for running the unit tests, packaging, or at runtime.

 -- Gregor Riepl <onitake@gmail.com>  Tue, 04 Feb 2025 22:15:29 +0100

trimesh (4.5.1-1) unstable; urgency=medium

  * New upstream version. Fixes: #1085111

 -- Gregor Riepl <onitake@gmail.com>  Sun, 27 Oct 2024 12:59:14 +0100

trimesh (4.4.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Initial release. (Closes: #950920)
  * copyright: Mention SCEA license for models/duck.dae.

  [ Gregor Riepl ]
  * Fix up soft dependencies
  * Patch test model paths
  * Enable package only on 64bit archs

 -- Gregor Riepl <onitake@gmail.com>  Tue, 09 Jul 2024 10:50:24 +0200

=== debian/control ===
Source: trimesh
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders:
 Gregor Riepl <onitake@gmail.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit,
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 pybuild-plugin-pyproject,
# required
 python3-numpy,
# easy
# Not available in Debian yet
#python3-manifold3d (>= 2.3.0)
 python3-colorlog,
 python3-mapbox-earcut,
 python3-chardet,
 python3-lxml,
 python3-jsonschema,
 python3-networkx,
 python3-svg.path,
 python3-collada,
 python3-setuptools,
 python3-shapely,
 python3-xxhash,
 python3-rtree,
 python3-httpx,
 python3-scipy,
# Not available in Debian yet
#python3-embreex,
 python3-pil,
# Not available in Debian yet
#python3-vhacdx,
#python3-xatlas,
# recommend
# Not available in Debian yet
#python3-glooey,
 python3-sympy,
# Pyglet 1.x is deprecated and removed from Debian
#python3-pyglet (<<2),
 python3-psutil,
 python3-skimage,
# Not available in Debian yet
#python3-fcl,
#python3-openctm,
#python3-cascadio,
#python3-manifold3d,
# test
 python3-pytest-cov,
# Not available in Debian yet
#python3-coveralls,
#python3-pyright,
 python3-ezdxf,
 python3-pytest,
# Not available in Debian yet
#python3-pyinstrument,
 python3-matplotlib,
# These are only used for development and some extended tests
# that aren't run in Debian. They're not really needed.
#python3-ruff,
#python3-beartype,
Standards-Version: 4.5.0
Section: python
Homepage: https://github.com/mikedh/trimesh
Vcs-Browser: https://salsa.debian.org/3dprinting-team/trimesh
Vcs-Git: https://salsa.debian.org/3dprinting-team/trimesh.git

Package: python3-trimesh
Section: python
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-numpy,
Recommends:
 python3-colorlog,
 python3-mapbox-earcut,
 python3-chardet,
 python3-lxml,
 python3-jsonschema,
 python3-networkx,
 python3-svg.path,
 python3-collada,
 python3-setuptools,
 python3-shapely,
 python3-xxhash,
 python3-rtree,
 python3-httpx,
 python3-scipy,
 python3-embreex,
 python3-pil,
 python3-vhacdx,
 python3-xatlas,
Suggests:
 python3-glooey,
 python3-sympy,
 python3-psutil,
 python3-skimage,
 python3-fcl,
 python3-openctm,
 python3-cascadio,
 python3-manifold3d,
Description: Python triangular meshes with an emphasis on watertight surfaces
 Trimesh is a pure Python library for loading and using triangular meshes with
 an emphasis on watertight surfaces. The goal of the library is to provide a
 full featured and well tested Trimesh object which allows for easy
 manipulation and analysis, in the style of the Polygon object in the Shapely
 library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	# these temporary files aren't cleaned up properly by the unit tests
	rm -rf models/material.mtl models/material_0.png models/sphere.obj
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/trimesh-$1\.tar\.gz/ \
  https://github.com/mikedh/trimesh/tags .*/(\d\.\S+)\.tar\.gz
